import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { CompoundBorrowContractPositionFetcher, CompoundBorrowTokenDataProps, GetMarketsParams } from '../../../apps/compound/common/compound.borrow.contract-position-fetcher';
import { GetDataPropsParams, GetTokenBalancesParams, GetTokenDefinitionsParams } from '../../../position/template/contract-position.template.types';
import { BastionProtocolComptroller, BastionProtocolContractFactory, BastionProtocolCtoken } from '../contracts';
export declare class AuroraBastionProtocolMainHubBorrowContractPositionFetcher extends CompoundBorrowContractPositionFetcher<BastionProtocolCtoken, BastionProtocolComptroller> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: BastionProtocolContractFactory;
    groupLabel: string;
    comptrollerAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: BastionProtocolContractFactory);
    getCompoundCTokenContract(address: string): BastionProtocolCtoken;
    getCompoundComptrollerContract(address: string): BastionProtocolComptroller;
    getMarkets({ contract }: GetMarketsParams<BastionProtocolComptroller>): Promise<string[]>;
    getUnderlyingAddress({ contract }: GetTokenDefinitionsParams<BastionProtocolCtoken>): Promise<string>;
    getExchangeRate({ contract }: GetDataPropsParams<BastionProtocolCtoken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getExchangeRateMantissa(params: GetDataPropsParams<BastionProtocolCtoken, CompoundBorrowTokenDataProps>): Promise<number>;
    getBorrowRate({ contract }: GetDataPropsParams<BastionProtocolCtoken, CompoundBorrowTokenDataProps>): Promise<number | import("ethers").BigNumber>;
    getCash({ contract }: GetDataPropsParams<BastionProtocolCtoken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getCTokenSupply({ contract }: GetDataPropsParams<BastionProtocolCtoken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getCTokenDecimals({ contract }: GetDataPropsParams<BastionProtocolCtoken, CompoundBorrowTokenDataProps>): Promise<number>;
    getBorrowBalance({ address, contract, }: GetTokenBalancesParams<BastionProtocolCtoken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
}
